// package org.epq.test;

import org.apache.bsf.BSFEngine;
import org.apache.bsf.BSFException;
import org.apache.bsf.BSFManager;

public class RexxRecursiveCrash {

        static final String REXX_SCRIPT =
                "signal on any name error\n"                          +
                "say 'REXX START'\n"                                  +
                "i=0\n"                                               +
                "crash: i=i+1\n"                                      +
                "       if i//100=0 then say i 'calls so far ...' \n" +
                "       call crash\n"                                 +
                "       EXIT\n"                                       +
                "error:\n"                                            +
                "       say 'REXX ERROR after' i 'calls...'\n"        +
                "EXIT -1\n";


        /**
         * @param args
         * @throws BSFException
         */
        public static void main(final String[] args) {
                BSFManager bsf = new BSFManager();
                try {
                        BSFEngine rexx = bsf.loadScriptingEngine("rexx");
                        rexx.eval("RexxRecursiveCrash", 0, 0, REXX_SCRIPT);
                } catch (Throwable t) {
                        t.printStackTrace();
                }
                System.out.println("BSF RexxEngine Ended normally");
        }
}

